%global tarname 128143-faenza

Name:           faenza-icon-theme
Version:        1.2.0
Release:        1%{?dist}
Summary:        Icon theme designed for Equinox GTK theme

Group:          User Interface/Desktops 
License:        GPL+
URL:            http://gnome-look.org/content/show.php/Faenza?content=128143
Source0:        http://www.deviantart.com/download/173323228/faenza_icons_by_tiheum-d2v6x24.zip
BuildArch:      noarch

%description
Contains icons for Equinox GTK theme

%prep
%setup -q -c %{tarname}-%{version} 
tar xf Faenza.tar.gz
tar xf Faenza-Dark.tar.gz
tar xf Faenza-Darker.tar.gz
tar xf Faenza-Darkest.tar.gz
tar xf Faenza-Ambiance.tar.gz
tar xf Faenza-Radiance.tar.gz

%build

%install
rm -rf $RPM_BUILD_ROOT
cd ./Faenza/places/scalable/ && ln -sf distributor-logo-fedora.svg distributor-logo.svg && cd ../../..
cd ./Faenza/places/48/ && ln -sf distributor-logo-fedora.png distributor-logo.png && cd ../../..
cd ./Faenza/places/32/ && ln -sf distributor-logo-fedora.png distributor-logo.png && cd ../../..
cd ./Faenza/places/24/ && ln -sf distributor-logo-fedora.png distributor-logo.png && cd ../../..
cd ./Faenza/places/22/ && ln -sf distributor-logo-fedora.png distributor-logo.png && cd ../../..
cd ./Faenza/places/16/ && ln -sf distributor-logo-fedora.png distributor-logo.png && cd ../../..
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons
cp -a ./Faenza/ $RPM_BUILD_ROOT%{_datadir}/icons
cp -a ./Faenza-Dark/ $RPM_BUILD_ROOT%{_datadir}/icons
cp -a ./Faenza-Darker/ $RPM_BUILD_ROOT%{_datadir}/icons
cp -a ./Faenza-Darkest/ $RPM_BUILD_ROOT%{_datadir}/icons
cp -a ./Faenza-Ambiance/ $RPM_BUILD_ROOT%{_datadir}/icons
cp -a ./Faenza-Radiance/ $RPM_BUILD_ROOT%{_datadir}/icons

chmod 0644 $RPM_BUILD_ROOT%{_datadir}/icons/Faenza/index.theme
chmod 0644 $RPM_BUILD_ROOT%{_datadir}/icons/Faenza-Dark/index.theme
chmod 0644 $RPM_BUILD_ROOT%{_datadir}/icons/Faenza-Darker/index.theme
chmod 0644 $RPM_BUILD_ROOT%{_datadir}/icons/Faenza-Darkest/index.theme
chmod 0644 $RPM_BUILD_ROOT%{_datadir}/icons/Faenza-Ambiance/index.theme
chmod 0644 $RPM_BUILD_ROOT%{_datadir}/icons/Faenza-Radiance/index.theme

%clean
rm -rf $RPM_BUILD_ROOT

%post  
touch --no-create %{_datadir}/icons/Faenza &>/dev/null ||:
touch --no-create %{_datadir}/icons/Faenza-Dark &>/dev/null ||:
touch --no-create %{_datadir}/icons/Faenza-Darker &>/dev/null ||:
touch --no-create %{_datadir}/icons/Faenza-Darkest &>/dev/null ||:
touch --no-create %{_datadir}/icons/Faenza-Ambiance &>/dev/null ||:
touch --no-create %{_datadir}/icons/Faenza-Radiance &>/dev/null ||:

%postun
if [ $1 -eq 0 ] ; then 
        touch --no-create %{_datadir}/icons/Faenza &>/dev/null
        gtk-update-icon-cache -q %{_datadir}/icons/Faenza &>/dev/null || : 
fi
if [ $1 -eq 0 ] ; then 
        touch --no-create %{_datadir}/icons/Faenza-Dark &>/dev/null
        gtk-update-icon-cache -q %{_datadir}/icons/Faenza-Dark &>/dev/null || : 
fi
if [ $1 -eq 0 ] ; then 
        touch --no-create %{_datadir}/icons/Faenza-Darker &>/dev/null
        gtk-update-icon-cache -q %{_datadir}/icons/Faenza-Darker &>/dev/null || : 
fi
if [ $1 -eq 0 ] ; then 
        touch --no-create %{_datadir}/icons/Faenza-Darkest &>/dev/null
        gtk-update-icon-cache -q %{_datadir}/icons/Faenza-Darkest &>/dev/null || : 
fi
if [ $1 -eq 0 ] ; then 
        touch --no-create %{_datadir}/icons/Faenza-Ambiance &>/dev/null
        gtk-update-icon-cache -q %{_datadir}/icons/Faenza-Ambiance &>/dev/null || : 
fi
if [ $1 -eq 0 ] ; then 
        touch --no-create %{_datadir}/icons/Faenza-Radiance &>/dev/null
        gtk-update-icon-cache -q %{_datadir}/icons/Faenza-Radiance &>/dev/null || : 
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/Faenza &>/dev/null || :
gtk-update-icon-cache %{_datadir}/icons/Faenza-Dark &>/dev/null || :
gtk-update-icon-cache %{_datadir}/icons/Faenza-Darker &>/dev/null || :
gtk-update-icon-cache %{_datadir}/icons/Faenza-Darkest &>/dev/null || :
gtk-update-icon-cache %{_datadir}/icons/Faenza-Ambiance &>/dev/null || :
gtk-update-icon-cache %{_datadir}/icons/Faenza-Radiance &>/dev/null || :

%files
%defattr(-,root,root,-)
%{_datadir}/icons/Faenza/*
%{_datadir}/icons/Faenza-Dark/*
%{_datadir}/icons/Faenza-Darker/*
%{_datadir}/icons/Faenza-Darkest/*
%{_datadir}/icons/Faenza-Ambiance/*
%{_datadir}/icons/Faenza-Radiance/*
%doc AUTHORS ChangeLog COPYING README 

%changelog
* Wed Dec 28 2011 Matthias Haase <matthias_haase@bennewitz.com> - 1.2.0-1
- Update to version 1.2.0 
- Faenza-Ambiance and Faenza-Radiance added

* Sun Sep 04 2011 <matthias_haase@bennewitz.com> - 1.0.0-1
- Update to version 1.0.0
- Fanza-Darker and Faenza-Darkest added

* Sat May 28 2011 <matthias_haase@bennewitz.com> - 0.9.2-1
- Update to version 0.9.2

* Sat Nov 20 2010 <matthias_haase@bennewitz.com> - 0.8-1
- Update to version 0.8
- renamed source

* Sun Oct 31 2010 endur <matthias_haase@bennewitz.com> - 0.7-1
- Update to version 0.7
- AUTHORS ChangeLog COPYING README added to %doc

* Wed Aug 11 2010 Tajidin Abd <tajidinabd@archlinux.us> - 0.6-1
- New Version from upstream

* Tue Aug 10 2010 Tajidin Abd <tajidinabd@archlinux.us> - 0.5-5
- Cleaned up files macro
- Modified install macro  with -a option to keep timestamps on files

* Mon Aug 09 2010 Tajidin Abd <tajidinabd@archlinux.us> - 0.5-4
- Version number comes from URL
- made corrections to prep macro 

* Sun Aug 08 2010 Tajidin Abd <tajidinabd@arhclinux.us> - 0.5-3
- Corrected version number
- Added scriplet
- Corrected unused of macro

* Sun Aug 08 2010 Tajidin Abd <tajidinabd@archlinux.us> - 0.5.2-2
- added global tarname macro
- Corrected the License 
- made corrections to scriplets
- deleted redundant characters
- changed permission issues to satisfy rpmlint errors

* Thu Aug 05 2010 Tajidin Abd <tajidinabd@archlinux.us> - 0.5.2-1
- Intial RPM release
